Subject: Re: [PATCH V2 00/10] KASan ppc64 support

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Wed, 26 Aug 2015 22:44:35 +0530

Andrey Ryabinin <[email-masked]> writes:

> 2015-08-26 11:26 GMT+03:00 Aneesh Kumar K.V <[email-masked]>:
>> Hi,
>>
>> This patchset implements kernel address sanitizer for ppc64.
>> Since ppc64 virtual address range is divided into different regions,
>> we can't have one contigous area for the kasan shadow range. Hence
>> we don't support the INLINE kasan instrumentation. With Outline
>> instrumentation, we override the shadow_to_mem and mem_to_shadow
>> callbacks, so that we map only the kernel linear range (ie,
>> region with ID 0xc). For region with ID 0xd and 0xf (vmalloc
>> and vmemmap ) we return the address of the zero page. This
>> works because kasan doesn't track both vmemmap and vmalloc address.
>>
>> Known issues:
>> * Kasan is not yet enabled for arch/powerpc/kvm
>> * kexec hang
>> * outline stack and global support
>>
>
> Is there any problem with globals or you just didn't try it yet?
> I think it should just work. You need only to add  --param
> asan-globals=0 to KBUILD_CFLAGS_MODULE
> to disable it for modules.

I am hitting BUG_ON in early vmalloc code. I still haven't got time to
debug it further. Should get to that soon.

-aneesh